/*
 *
 *                         DES SOFTWARE PACKAGE
 *                             Version 2.2
 *
 *                                        _
 * Copyright (c) 1990,1991,1992,1993 Stig Ostholm.
 * All Rights Reserved
 *
 *
 * The author takes no responsibility of actions caused by the use of this
 * software package and does not guarantee the correctness of the functions.
 *
 * This software package may be freely distributed for non-commercial purpose
 * as long as the copyright notice is kept. Any changes made should be
 * accompanied by a comment indicating who made the change, when it was made
 * and what was changed.
 *
 * This software package, or any parts of it, may not be used or in any way
 * re-distributed for commercial purpose without the authors permission.
 * The author keeps the right to decide between of what is commercial and
 * what is non-commercial purpose.
 *
 * Restrictions due to national laws governing the use, import or export of
 * cryptographic software is the responsibility of the software user/importer/
 * exporter to follow.
 *
 *
 *                                              _
 *                                         Stig Ostholm
 *                                         Chalmers University of Technology
 *                                         Department of Computer Engineering
 *                                         S-412 96 Gothenburg
 *                                         Sweden
 *                                         ----------------------------------
 *                                         Email: ostholm@ce.chalmers.se
 *                                         Phone: +46 31 772 1703
 *                                         Fax:   +46 31 772 3663
 */

/*
 * The initial permutation IP as described in FIPS 46 1977 January 15.
 *
 * The permuted input has bit 58 pf the input block as its first bit,
 * bit 50 as it second bit, and so on with bit 7 as its last bit.
 */

#define IP_ROWS		8
#define IP_COLUMNS	8

#ifdef __SDTC__
const
#endif
	unsigned char	ip[IP_ROWS][IP_COLUMNS] = {
				{ 58, 50, 42, 34, 26, 18, 10,  2 },
				{ 60, 52, 44, 36, 28, 20, 12,  4 },
				{ 62, 54, 46, 38, 30, 22, 14,  6 },
				{ 64, 56, 48, 40, 32, 24, 16,  8 },
				{ 57, 49, 41, 33, 25, 17,  9,  1 },
				{ 59, 51, 43, 35, 27, 19, 11,  3 },
				{ 61, 53, 45, 37, 29, 21, 13,  5 },
				{ 63, 55, 47, 39, 31, 23, 15,  7 }
			};
